Forum Stats

  • 3,780,926 Users
  • 2,254,456 Discussions
  • 7,879,496 Comments

Discussions

does this CVE-2012-5627 have fixed in which version of mysql ?

3183687
3183687 Member Posts: 5
edited Mar 1, 2016 9:35AM in MySQL Community Space

does this CVE-2012-5627 have fixed in which version of mysql ?

The installed version of MySQL may be affected by a security bypass
vulnerability because the salt used during password validation does not
change when switching users with the 'COM_CHANGE_USER' command.
Additionally, the connection is not reset when invalid credentials are
submitted.  Normally, when a connection is initiated and invalid
credentials are submitted, the connection is terminated, which slows
brute-force attempts substantially.

Best Answer

Answers